Page MenuHomePhabricator

Certain actions e.g. delete in more menu are inconvenient to access
Open, MediumPublic

Description

The down-arrow menu, between the watchlist star and the search box is probably the biggest complaint so far from the editors in the Hebrew Wikipedia. And probably not just there - it was already brought up on usability.wikimedia.org back in August: http://usability.wikimedia.org/wiki/Talk:Prototype/Archive_4#Lady_Aleena.27s_comments .

It's very important to let the user configure what appears in that menu and what is directly available. Many administrators complained that it is very inconvenient to have the "delete" link hidden there. It takes time to find it after moving to Beta, and even after the admin knows where that link is it's still inconvenient for many.

I am an admin and for me, personally, it's OK, because i don't delete pages so often, but for new page patrollers it must be quite an annoyance. They should be able to have the delete button directly accessible.


See Also:
T53529: Move "View history" to dropdown menu
T26481: [collapsibleTabs] Vector: Tab "Move" should be visible by default (to discourage copy/paste moves)
T70774: If "More" menu contains only one item (usually "Move"), display the item instead of "More"

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 11:04 PM
bzimport added a project: Vector.
bzimport set Reference to bz22986.
bzimport added a subscriber: Unknown Object (MLST).

Vector was designed with entry-level users in mind. That said, there are other issues with surfacing all, or even just more, items from the drop-down to the tab-level. We get just as many complaints about having not enough horizontal room for the tabs that are there, so we side with tucking things away that are less used. View, Edit and History are the most used by far, so they are rightly visible at the top level. History actually tucks away when there's not enough room.

It would be more productive to explore extensions to the skin which could provide quick-access to otherwise less accessible controls for experienced users. But this is not a priority for the design and development of the Vector skin at this time, and the same users who are having these issues are very well able to change to a different skin using the preferences system.

Hopefully we will get to study advanced users soon and develop solutions tailored to them, like we have been doing for novice users over the last year.

In the meantime advanced users run away from Vector and when i ask them why, they most often cite this reason. You studies may show different results.

This bug only proposes to make the menu configurable, not to change the defaults.

WONTFIX means "never, ever going to happen." The remarks in comment 1 demonstrate the use-cases, benefits, and implementation ideas for this feature.

Unless there's another bug that is a duplicate of this bug (which would be a different bug resolution anyway), this bug should remain open. It's not an unreasonable request, simply one that nobody has gotten around to. If the Usability team wants to make it a low priority, that's its prerogative. That isn't the equivalent of "WONTFIX."

I have a feeling that some of these bugs are being closed due to people not wanting them in their "assigned" queue. If that's the case, just re-assign them to wikibugs. WONTFIX isn't the answer.

Leave it open if you like - my point is that Vector's top-level menu is not designed to hold large quantities of tabs, and adding a configuration for selecting which things should go where works against that.

Tho it might have been brought up somewhere else in the mean time,
I just want to point out that Vector has a functionality under it's hood which is capable of moving tabs on the fly.

Meaning, that for example the "history" tab, by default, is in the tabbar, but if you make your window smaller, it'll jump into the dropdown, and when making the window bigger it'll jump out again.

I strongly suggest to expand this functionaity (whether or not as an option, but I believe everyone would benefit this) to extend this functionality to ALL tab/dropdown items:

Whenever there is space, but them out in the open. What doens't fit: --> in the drop down.

This way power users with (likely) wider screens see more (if not all) tabs.

Then, with the entry-level users in mind; instead of hiding less-used options. The Vector-skin would simply show them further on the right of the tabbar (when there's space). It makes sense that the most used options are up-front. (ie. on the left of the right-side-tabbar).

It simply doens't make sense to hide advanced option when there's space for them.

Besides, anonymous users dont have thoses option anyway a.f.a.i.k., and to make a dropdown just for the "Move" option even if in most cases there is space for that link to be in the tabbar seems not to make sense.

  • Bug 23828 has been marked as a duplicate of this bug. ***

(In reply to comment #5)

Tho it might have been brought up somewhere else in the mean time,
I just want to point out that Vector has a functionality under it's hood
which
is capable of moving tabs on the fly.

Meaning, that for example the "history" tab, by default, is in the tabbar,
but
if you make your window smaller, it'll jump into the dropdown, and when
making
the window bigger it'll jump out again.

For the record, that feature is documented at [[mw:Extension:Vector#CollapsibleTabs]].

Changing summary to be easier to find and reflect the intention that Trevor and I have in mind with this.

Basically we should have more of the action items be like "View history". In other words: Be in the tab area (instead of dropdown menu) by default as screen size allows, and move them into the dropdown if there is no space (and out again, if the window is resized or orientation changed and space becomes available).

Though we can apply it to more in the future, for this bug's scope, I propose we apply it to "Move page", "Delete" (and "Restore)" and "Protect" (and "Unprotect").

it would probably also help if the actions menu was more self explainable. Either by a label, or an icon. If it just said "page actions", as a beginner i would probably be much more inclined to look at what it contains.

Rephrasing bug. Basically all tabs should expand out of any drop down menu if space is available.

Some may be fixed to never go into a menu (like Read and Edit), but no items should explicitly always stay within the menu (like Delete and Move are now).

(In reply to Derk-Jan Hartman from comment #11)

it would probably also help if the actions menu was more self explainable.
Either by a label, or an icon. If it just said "page actions", as a beginner
i would probably be much more inclined to look at what it contains.

Side-Note that bug 44591 implemented this, last week. :)

(Tech/News summary: "You will soon see a label next to the little triangle arrow for the Actions menu in the Vector skin (https://bug-attachment.wikimedia.org/attachment.cgi?id=15540 )")

Aklapper lowered the priority of this task from High to Medium.Nov 2 2015, 2:37 PM
Aklapper added a subscriber: Aklapper.
Catrope removed a subscriber: Catrope.

Change 380321 had a related patch set uploaded (by Rammanojpotla; owner: Rammanoj):
[mediawiki/skins/Vector@master] Page actions in dropdown menu should expands if space allows in Vector

https://gerrit.wikimedia.org/r/380321

Change 380321 abandoned by Rammanojpotla:
Vector: Page actions in dropdown expand if space allow

https://gerrit.wikimedia.org/r/380321

Change 381409 had a related patch set uploaded (by Rammanojpotla; owner: Rammanoj):
[mediawiki/skins/Vector@master] Vector: Page actions in dropdown expand if space allow

https://gerrit.wikimedia.org/r/381409

Change 381409 abandoned by Jdlrobson:
Vector: Page actions in dropdown expand if space allow

Reason:
Let's stall the work on this until further into the desktop improvements project.

I'm abandoning it for now, but we can restore it later if necessary.

Thanks for having a go at this @Rammanojpotla

Let's continue discussion on the phabricator task!

https://gerrit.wikimedia.org/r/381409

Jdlrobson added a subscriber: Jdlrobson.

I suspect the desktop improvements project will help with this, either by providing a better alternative or a better architecture. https://www.mediawiki.org/wiki/Reading/Web/Desktop_Improvements

Jdlrobson renamed this task from Vector: Page actions in dropdown menu should expand if space allows to Certain actions e.g. delete in more menu are inconvenient to access.Jan 15 2020, 8:46 PM
Jdlrobson moved this task from Design to Menus on the Vector board.